%define module_name	alsa
%define module_version	1.0.15
%define module_subver	%nil
%define module_release	alt1.132626.7

%define kversion	2.6.18
%define krelease	alt7
%define flavour		std-pae

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

%define _unpackaged_files_terminate_build 1

Summary: The Advanced Linux Sound Architecture modules
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware
URL: http://www.alsa-project.org/

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Patch1: alsa-1.0.14-alt-ovz-compat.patch
Patch2: alsa-1.0.14-alt-cx88-saa7134.patch

Provides: alsa = %version

ExclusiveOS: Linux
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-alsa = %module_version%module_subver

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64

%description
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system. ALSA has the following
significant features:
1. Efficient support for all types of audio interfaces, from consumer
soundcards to professional multichannel audio interfaces.
2. Fully modularized sound drivers.
3. SMP and thread-safe design.
4. User space library (alsa-lib) to simplify application programming
and provide higher level functionality.
5. Support for the older OSS API, providing binary compatibility for
most OSS programs.

These are sound drivers for your ALT Linux system.

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version
%patch1 -p1

## Build cx88-alsa and saa7134-alsa only if private headers are available
#if [ -r %_usrsrc/linux-%kversion-%flavour/drivers/media/video/saa7134/saa7134.h ] \
#   && [ -r %_usrsrc/linux-%kversion-%flavour/drivers/media/video/cx88/cx88.h ]
#then
#%patch2 -p1
#fi

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
./configure --with-kernel=%_usrsrc/linux-%kversion-%flavour/ \
    --with-isapnp=yes --with-sequencer=yes \
    --with-moddir=%module_dir

%make_build CONFIG_SND_LOOPBACK=n \
%ifarch %ix86
CC="gcc-$GCC_VERSION -m32"
%endif

%install
mkdir -p \
    $RPM_BUILD_ROOT/%module_dir
mkdir -p \
    $RPM_BUILD_ROOT/%_includedir/sound
make install-modules DESTDIR=$RPM_BUILD_ROOT \
    IGROUP=`id -g` IUSER=`id -u` CONFIG_SND_LOOPBACK=n

# Make sure the %%exclude below has something to match
touch $RPM_BUILD_ROOT/lib/modules/%kversion-%flavour-%krelease/modules.dep

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir
%exclude /lib/modules/%kversion-%flavour-%krelease/modules.*

%changelog
* Tue Oct 23 2007 Igor Zubkov <icesik@altlinux.org> 1.0.15-alt1.132626.7
- 1.0.14 -> 1.0.15

* Tue Jun 12 2007 Sergey Vlasov <vsu@altlinux.ru> 1.0.14-alt1.132626.7
- Version 1.0.14.
- Removed namespace-support-mm-tree patch (included in 1.0.14).
- Added alt-ovz-compat patch: fix build with 2.6.18-ovz (which has the
  init_utsname() function normally present only in kernels >= 2.6.19).
- Updated alt-cx88-saa7134 patch (alsa-kernel 1.0.14 contains updated cx88-alsa
  and saa7134-alsa sources which are not completely compatible with 2.6.18 -
  some new features must be turned off).

* Sat Apr 28 2007 Sergey Vlasov <vsu@altlinux.ru> 1.0.13-alt4.132626.7
- Added alsa-1.0.13-alt-cx88-saa7134.patch: build cx88-alsa and saa7134-alsa
  modules (#10626).  Applied only if the kernel provides the appropriate
  headers in its kernel-headers-modules subpackage.

* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 1.0.13-alt3.132626.7
- Removed unneeded "Prereq: modutils".

* Wed Nov 29 2006 L.A. Kostis <lakostis@altlinux.org> 1.0.13-alt2.132626.7
- add namespace support from -mm tree (for OpenVZ patch compatibility).

* Sat Nov 11 2006 Sergey Vlasov <vsu@altlinux.ru> 1.0.13-alt1.132626.7
- Version 1.0.13.

* Fri Sep 22 2006 L.A. Kostis <lakostis@altlinux.org> 1.0.12-alt2.132626.7
- add hack for %%ix86 cross-build on x86_64 host.

* Fri Sep 15 2006 Sergey Vlasov <vsu@altlinux.ru> 1.0.12-alt1.132626.7
- Version 1.0.12.

* Sun May 07 2006 Sergey Vlasov <vsu@altlinux.ru> 1.0.11-alt2.132626.7
- Disabled build of the snd-aloop module (CONFIG_SND_LOOPBACK) - it is not
  complete and cannot work, and now is causing oopses.
- Reenabled parallel make - seems to work now.

* Sun Apr 23 2006 Sergey Vlasov <vsu@altlinux.ru> 1.0.11-alt1.132626.7
- Version 1.0.11 (final).

* Fri Mar 24 2006 Sergey Vlasov <vsu@altlinux.ru> 1.0.11-alt0.1.rc4.132626.7
- Version 1.0.11rc4.
- Removed obsolete patches:
  - 00_platform_device_compat.patch
  - 01_fix-build-2.4-x86_64.patch
  - 02_usb-playback-silence.patch
  - 03_alc880_idx_to_dac.patch

* Sun Jan 15 2006 Sergey Vlasov <vsu@altlinux.ru> 1.0.10-alt5.132626.7
- Added:
  + 02_usb-playback-silence.patch: fix snd-usb-audio problem with some devices
  + 03_alc880_idx_to_dac.patch: hda-codec: fix auto-probe of ALC880

* Sun Dec 25 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.10-alt4.132626.7
- Added:
  + 01_fix-build-2.4-x86_64.patch: fix build for 2.4.x kernels on x86_64
    (missing #include <linux/init.h> in pci/asihpi/hpimod.c)

* Sun Dec 25 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.10-alt3.132626.7
- Fix build for 2.4.x kernels (the build process might not create modules.dep,
  and %%exclude errors out if there are no matching files).

* Sun Dec 04 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.10-alt2.132626.7
- Added:
  + 00_platform_device_compat.patch: fix oops in platform_driver emulation for
    kernels <= 2.6.14

* Wed Nov 30 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.10-alt1.132626.7
- Version 1.0.10.
- Removed obsolete patches:
  - 00_fix-2.4-compile.patch
  - 01_fix-2.6-swsusp.patch
  - 02_hp-nx6110-jack-sense.patch
  - 03_hp-nx6110-hp_only.patch
- Added explicit %%exclude for modules.* files generated by depmod.
- Terminate build in case unpackaged files are found.

* Sun Oct 16 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.9a-alt6.132626.7
- Enabled build for x86_64 (#8242).

* Sat Aug 20 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.9a-alt5.132626.7
- Added:
  + 03_hp-nx6110-hp_only.patch: set ac97_quirk=hp_only for HP nx6110

* Fri Aug 12 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.9a-alt4.132626.7
- Added:
  + 02_hp-nx6110-jack-sense.patch: enable Headphone Jack Sense for HP nx6110

* Fri Jul 16 2005 LAKostis <lakostis at altlinux.ru> 1.0.9a-alt3.132626.7
- Added:
  + 01_fix-2.6-swsusp.patch: fix compilation with swsusp2 on 2.6 kernels.

* Sun Jun 05 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.9a-alt2.132626.7
- Added:
  + 00_fix-2.4-compile.patch: fix compilation on 2.4.x kernels

* Fri Jun 03 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.9a-alt1.132626.7
- Version 1.0.9a.
- Removed obsolete patches:
  - 00_fm801-more-ids.patch
  - 01_fix-stereo-mutes.patch
  - 02_timer-fix.patch
  - 03_usbaudio-prevent-oops-on-usb-unplug.patch
  - 04_usbusx2y-prevent-oops-on-usb-unplug.patch

* Fri May 13 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.8-alt6.132626.7
- Added:
  + 03_usbaudio-prevent-oops-on-usb-unplug.patch
  + 04_usbusx2y-prevent-oops-on-usb-unplug.patch

* Tue May 10 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.8-alt5.132626.7
- Added:
  + 02_timer-fix.patch: fix bugs (possible oopses) in ALSA timer code

* Tue Mar 29 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.8-alt3.132626.7
- Added:
  + 01_fix-stereo-mutes.patch: fix stereo mutes for Surround on ALC658

* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.8-alt2.132626.7
- Added:
  + 00_fm801-more-ids.patch: add more PCI IDs to the snd-fm801 module (#4749)

* Wed Jan 26 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.8-alt1.132626.7
- Version 1.0.8.

* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.6a-alt2.132626.7
- Rebuild for kernel 2.4.28.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.6a-alt1.132626.7
- Version 1.0.6a.
- Removed obsolete patches:
  - alsa-1.0.4-ppos-fixes.patch

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.4-alt4.132626.7
- Added:
  + alsa-1.0.4-ppos-fixes.patch: CAN-2004-0415

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.4-alt3.132626.7
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.4-alt2.132626.7
- Rebuild for kernel 2.4.26.

* Mon Apr 05 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.4-alt1.132626.7
- Version 1.0.4.

* Sat Apr 03 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.3-alt2.132626.7
- Fixed --with-kernel=... path for new location of private kernel headers.

* Mon Mar 08 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.3-alt1.132626.7
- Version 1.0.3.

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.2c-alt2.132626.7
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Wed Feb 04 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.2c-alt1.132626.7
- Version 1.0.2c.
- Removed all patches to avoid their duplication in packages for all kernel
  flavours; now all common patches are in kernel-source-alsa.

* Fri Jan 09 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.1-alt1.132626.7
- Version 1.0.1.
- Fixed URL.
- Removed patches (already in upstream):
  - 01-via82xx-capture.patch
  - 02-resume-oops.patch
  - 03-ac97-it2646.patch
  - 04-cs46xx-4channel.patch
  - 05-ad1848-spinlock-fix.patch
  - 06-pnp-detect-fix.patch
  - 07-opti92x-ad1848-pnp.patch
  - 08-ac97-ad198x.patch
  - 09-via82xx-asus-a7v600.patch
  - 10-emu10k1-update.patch
  - 11-ac97-ic-ensemble.patch
  - 12-i2c-sleep.patch
  - 13-gus-duplicate-control.patch
  - 91_via82xx-whitelist.patch
- Updated 92_ac97-quirk.patch for the new version.

* Tue Dec 09 2003 Sergey Vlasov <vsu@altlinux.ru> 0.9.8-alt5.132626.7
- Added patches:
  + 92_ac97-quirk.patch: added ac97_quirk parameter to snd-intel8x0 and
    snd-via82xx to override the AC97 quirks table (needed for testing entries
    before putting them into the blacklist, and also for overriding the wrong
    blacklist entries).

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 0.9.8-alt4.132626.7
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.
- Added patches:
  + 91_via82xx-whitelist.patch: added ASUS A7V8X on-board sound chip to the
    whitelist in snd-via82xx (DXS channels are working properly).

* Mon Nov 17 2003 Sergey Vlasov <vsu@altlinux.ru> 0.9.8-alt3.132626.7
- Fixed spec file name.
- Changed %%module_dir to avoid overlap with other packages.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).
- Added patches from CVS:
  + 01-via82xx-capture.patch:
    - snd-via82xx: fixed the calculation of the port for "Capture Source"
      control switch
  + 02-resume-oops.patch:
    - fixed oops at resume
    - block also the non-blocking devices until the resume is finished
  + 03-ac97-it2646.patch:
    - added patch for IT2646 AC97 codec
  + 04-cs46xx-4channel.patch:
    - fixed the 4channel mode of another CS429x codec (0x592b)
  + 05-ad1848-spinlock-fix.patch:
    - ad1848: Fixed spinlocks
  + 06-pnp-detect-fix.patch:
    - fixed the double detection of the card
    - the lock-up problem of some cs4232 boards should be fixed
  + 07-opti92x-ad1848-pnp.patch:
    - fixed the detection of opti92x-ad1848 pnp
    - added EXPORT_NO_SYMBOLS (snd-opti92x-cs4231, snd-opti93x)
  + 08-ac97-ad198x.patch:
    - new controls for AD1981A/B/1980/1985
  + 09-via82xx-asus-a7v600.patch:
    - added the quirk for ASUS A7V600
  + 10-emu10k1-update.patch:
    - disable routing from AC97 line out to front speakers
    - AC97 ADC is used only for Mic playback and recording
    - Philips ADC is used for other analog playback and recording (Analog Mix
      Playback Volume, Analog Mix Capture Volume)
    - removes unused AC97 controls (is phone used ???)
    - removed the duplicated IEC958 control on Dell's board
  + 11-ac97-ic-ensemble.patch:
    - Added IC Ensemble/KS Waves ID for stereo enhancement
  + 12-i2c-sleep.patch:
    - fixed sleep in lock.  use mutex for the locking
  + 13-gus-duplicate-control.patch:
    - Fixed duplicate control IDs (PCM Playback Volume) for cards with
      the codec chip

* Wed Nov 05 2003 Sergey Vlasov <vsu@altlinux.ru> 0.9.8-alt2.132626.7
- Added Intel D845GRG to blacklist (mixer uses Headphones instead of Master).

* Thu Oct 23 2003 Sergey Vlasov <vsu@altlinux.ru> 0.9.8-alt1.132626.7
- 0.9.8

* Mon Oct 13 2003 Sergey Vlasov <vsu@altlinux.ru> 0.9.7-alt3.132626.7
- 0.9.7c
- Removed Patch1 (fixed upstream)

* Sun Oct 12 2003 Sergey Vlasov <vsu@altlinux.ru> 0.9.7-alt2.132626.7
- 0.9.7b
- Patch1: fixed SMP build

* Fri Sep 26 2003 Sergey Vlasov <vsu@altlinux.ru> 0.9.7-alt1.132626.7
- 0.9.7
- replaced %%{_usrsrc}/kernel/sources with %%kernel_src

* Wed Sep 03 2003 Rider <rider@altlinux.ru> 0.9.6-alt9.132626.7
- replace /usr/include to %_includedir
- added build requires

* Tue Aug 26 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt8
- rebuilt with 2.4.21rel-alt14

* Fri Aug 15 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt7
- rebuilt with 2.4.21rel-alt13

* Wed Aug 13 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt6
- rebuilt with 2.4.21rel-alt12

* Tue Aug 12 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt5
- rebuilt with 2.4.21rel-alt11

* Mon Aug 11 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt4
- rebuilt with 2.4.21rel-alt10

* Thu Aug 07 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt3
- rebuilt with 2.4.21rel-alt9

* Wed Aug 06 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt2
- rebuilt with 2.4.21rel-alt8

* Wed Jul 30 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt1
- 2.9.6
- built with 2.4.21rel-alt7

* Tue Jul 29 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.5-alt4
- headers package is now generated from -source package.

* Thu Jul 17 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.5-alt3
- rebuilt with 2.4.21rel-alt6

* Wed Jul 16 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.5-alt2
- rebuilt with 2.4.21rel alt5

* Tue Jul 15 2003 Michael Shigorin <mike@altlinux.ru> 0.9.5-alt1
- 0.9.5
- removed kernel-headers-i2c from requires since they seem to be
  rolled into common kernel-headers

* Mon Jul 14 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.4-alt5
- rebuilt with 2.4.21rel alt4

* Tue Jul 08 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.4-alt4
- rebuilt with 2.4.21rel alt3
- removed i2c dependancies

* Tue Jul 08 2003 Michael Shigorin <mike@altlinux.ru> 0.9.4-alt3
- added Provides: alsa-driver-headers = %%kversion-%%krelease
  and supposedly fixed for BuildRequires:  %%kgcc_package
  so that it is backwards compatible with older build deps,
  side compatible with another alsa header packages and generally
  buildable within BTE
- fixed macro expansion in changelog
- fixed typo in 0.9.4-alt1 changelog entry
- cleaned up unneeded %%defattr's
- run cleanup_spec
- run buildreq, just in case => everything already in place

* Wed Jul 02 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.4-alt2
- added Provides: alsa = %%version

* Sat Jun 21 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.4-alt1
- rebuilt with 2.4.21rel
- 0.9.4 release.

* Tue May 20 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.2-alt4
- Rebuilt with 2.4.21rc1-alt2

* Mon Apr 3 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.2-alt3
- Added description and summary

* Mon Mar 31 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.2-alt2
- Moved headers to /usr/src/linux-%%{kversion}-%%{flavour}/include/sound

* Thu Mar 20 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.2-alt1
- New upstream version.

* Wed Mar 19 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.1-alt2
- Rebuilt with vanilla 2.4.21pre5-alt0.2 kernel

* Wed Feb 19 2003 Peter Novodvorsky <nidd@altlinux.org> 2.4.20-alt0.1
- initial release of NGKPs
